# Generated from csvscan-enphase-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name csvscan-enphase

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: This is a packaged version of CSVScan, written by MoonWolf
License: MIT
URL: http://github.com/cracell/csvscan
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc
# BuildRequires: rubygem(jeweler) >= 1.6.4
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rcov)

%description
This is a packaged version of CSVScan, written by MoonWolf. If you can read
Japanese, checkout README.ja for whatever he said.
On a 10,000 line file:
time cat example.csv | ruby fastercsv_benchmark.rb
real	0m8.804s
user	0m8.502s
sys	0m0.304s
time cat example.csv | ruby csvscan_benchmark.rb 
real	0m0.860s
user	0m0.782s
sys	0m0.088s.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/Manifest.txt
%{gem_instdir}/VERSION
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.ja
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/csvscan-enphase.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.1-1
- Initial package
